/*
 * Copyright 1992 Mike Haertel
 * You may use and redistribute this code subject to the GNU Project's
 * Library General Public License.
 */

#ifdef SHORT

/*
 * XXX - this stuff should be in a config.h type file.
 */

typedef unsigned short int Suint;
typedef unsigned int Duint;

#define SUINT_BIT 16

#define SUINT_5_DIG 6
#define SUINT_MAX_POW5 15625
#define SUINT_POW5_TABLE \
	1, 5, 25, 125, 625, 3125, 15625
#define SUINT_10_DIG 4
#define SUINT_MAX_POW10 10000
#define SUINT_POW10_TABLE \
	1, 10, 100, 1000, 10000

#endif

#define SUINT_MAX ((Suint) ((Suint) 0 - 1))

extern const Suint _bigpow5[], _bigpow10[];
extern size_t _bignbits(size_t, Suint []);
extern size_t _bigadd(Suint [], size_t, Suint [], Suint);
extern size_t _bigmuladd(Suint [], size_t, Suint [], Suint, Suint);
extern size_t _bigmulpow2(Suint [], size_t, Suint [], unsigned int);
extern size_t _bigdivpow2(Suint [], size_t, Suint [], unsigned int);
extern unsigned int _bigrempow2(size_t, Suint [], unsigned int);
