/*
 * Copyright 1992 Mike Haertel
 * You may use and redistribute this code subject to the GNU Project's
 * Library General Public License.
 */

#if FLT_RADIX != 2
#error "this code assumes floating point radix is 2"
#endif

#define FLOAT double
#define STRTOF strtod
#define _STRTOF _strtod
#define MANT_DIG DBL_MANT_DIG
#define MAX_EXP DBL_MAX_EXP
#define MIN_EXP DBL_MIN_EXP
#define MAX_10_EXP DBL_MAX_10_EXP
#define MIN_10_EXP DBL_MIN_10_EXP

#if MAX_EXP > INT_MAX / 4
#error "this code wants to manipulate exponents in ints"
#endif

#ifndef HUGE_VAL		/* XXX */
#define HUGE_VAL DBL_MAX	/* XXX */
#endif				/* XXX */

extern FLOAT _STRTOF(int, size_t, char []);
